## Get merge status **get** `/v1/merges/{id}` Returns the status and details of a merge operation by its ID. **[Rate limit category](/using-the-api/rate-limits/):** Read ### Path Parameters - `id: string` The merge operation ID. ### Returns - `MergeGetMergeResponse object { id, createdAt, duplicateId, 4 more }` - `id: string` Unique identifier for the merge operation. - `createdAt: string` ISO 8601 timestamp of when the merge was created. - `duplicateId: string` ID of the record that was merged into the primary and soft-deleted. - `entityType: string` The object type of the merged records (e.g. `account`, `contact`, `opportunity`, or a custom object slug). - `primaryId: string` ID of the record that was kept (the primary). - `status: string` Current status of the merge: `cleanup_pending`, `done`, or `failed`. - `updatedAt: string` ISO 8601 timestamp of when the merge was last updated. ### Example ```http curl https://api.lightfield.app/v1/merges/$ID \ -H 'Lightfield-Version: 2026-03-01' \ -H "Authorization: Bearer $API_KEY" ``` #### Response ```json { "id": "id", "createdAt": "createdAt", "duplicateId": "duplicateId", "entityType": "entityType", "primaryId": "primaryId", "status": "status", "updatedAt": "updatedAt" } ```